from optparse import OptionParser
import datetime

def main():
    parser = OptionParser()
    parser.add_option("-c", "--clean", action="store_true" )
    parser.add_option("-o", "--output", dest="Output")
    parser.add_option("-s", "--string", dest="String", type="string" )
    parser.add_option("-t", "--addtime", action="store_true" )

    (options, args) = parser.parse_args()

    String = ""
    Filename = "Log_dump.txt"
    if (options.Output):
        Filename = options.Output
    if (options.clean):
        Log_Reset(Filename)
    if (options.addtime):
        String += str(datetime.datetime.utcnow()) + "   "
    if (options.String):
        String += options.String
        Log(Filename,String)




def Log_Reset(filename):
    fp1 = file(filename,'w')
    string = "Logging script v1.0.0"
    fp1.write(string + "\n")
    fp1.close()

def Log(filename,string):
    fp1 = file(filename,'a')
    fp1.write(string + "\n")
    fp1.close()

main()
