import os

def main():
    # InToTree720p50
    Title = "InToTree720p50"
    Bitrates = (250,500,750,1024,2048,4096,6144,8192,10240,15360,20480,40960,81920)
    Bitrates = (1024,81920)
    # CrowdRun720p50
    #Title = "CrowdRun720p50"
    #Bitrates = (250,500,750,1024,2048,4096,6144,8192,10240,15360,20480,40960,81920)
    # ParkJoy720p50
    #Title = "ParkJoy720p50"
    #Bitrates = (250,500,750,1024,2048,4096,6144,8192,10240,15360,20480,40960,81920)

    Framerate = 25
    PixelCount = 720*1280
    Passes = 2
    Threads = 1

    fp1=open(Title +"_jp2.bat","w")
    
    String  = 'logging.py'
    String += ' -o "./output/'+ Title +'/'+ Title +'_log.txt"'
    String += ' -t -s "Starting coding."'
    fp1.write( String +"\n")

    for Bitrate in Bitrates:
        OutputDir = "./jp2/" + Title + "/" + str(Bitrate)
        RateString = float(Bitrate) * 1024 / Framerate / PixelCount
        try:
            os.makedirs(OutputDir)
        except:
            print "Folder allready made"
        try:
            os.makedirs("./tiff/" + Title + "/" + str(Bitrate))
        except:
            print "Folder allready made"

        #Convert to JPEG2000 with given bitrate
        String  = 'tiff2jp2.py'
        String += ' -g "../tiff/'+ Title +'/*.tif"'
        String += ' -l'
        String += ' -o "./jp2/'+ Title +'/'+ str(Bitrate) + '/"'
        String += ' -p "-rate ' + str(RateString)+ '"'
        fp1.write( String +"\n")

        #Convert back to TIFF, lossless
        String  = 'jp22tiff.py'
        String += ' -g "./jp2/'+ Title +'/'+ str(Bitrate) + '/*.jp2"'
        String += ' -l'
        String += ' -o "./tiff/'+ Title +'/'+ str(Bitrate) + '/"'
        fp1.write( String +"\n")

        #Make AviSynth Script
        fp2=open('./tiff/'+ Title+ '_'+ str(Bitrate)+ ".avs","w")
        String  = 'ImageSource("'+ Title +'\\'+ str(Bitrate) + '\\%05d.tif", 0, 499, 50)\n'
        fp2.write( String +"\n")
        fp2.close()

        #Make VirtualDub Script


        #Convert to Avi

        #Delete temperary files
             

    fp1.close()
	
	

def GetJ2kFrameCount(folder):
    if (os.path.isfile(folder + "info.txt")):
        fp1 = open( folder + "info.txt", 'r')
        Data = fp1.read()
        fp1.close()
        for Element in Data.split():
            KeyVal = Element.split('=')
            if (len(KeyVal) == 2):
                if (KeyVal[0]== "FrameCount"):
                    return int(KeyVal[1])
    else:
        return 0
            

            
            
        
    
    
main()
