import os

def main():
    # Slither
    Title = "Slither01_720p24"
    InputAVS = "../tiff/Slither01_720p24_yuv.avs"
    Bitrates = (250,500,750,1024,2048,4096,6144,8192,10240,15360,20480,40960,81920)
    # Nrk01
    #Title = "Nrk01_720p25"
    #InputAVS = "../tiff/Nrk01_720p25_yuv.avs"
    # InToTree720p25
    #Title = "InToTree720p25"
    #InputAVS = "../tiff/InToTree720p25_yuv.avs"
    # CrowdRun720p25
    #Title = "CrowdRun720p25"
    #InputAVS = "../tiff/CrowdRun720p25_yuv.avs"
    # ParkJoy720p25
    #Title = "ParkJoy720p25"
    #InputAVS = "../tiff/ParkJoy720p25_yuv.avs"

    Passes = 2
    Threads = 1

    try:
        os.makedirs("./output/" + Title)
    except:
        print "Folder allready made"

    fp2=open("profiles.txt","r")
    ProfileLines =  fp2.read().splitlines()
    fp2.close()

    ProfileLinesTemp =[]
    for Line in ProfileLines:
        if (Line[0] != '#'):
            ProfileLinesTemp.append(Line)
    ProfileLines = ProfileLinesTemp

    fp1=open(Title +"_x264.bat","w")

    String  = 'logging.py'
    String += ' -o "./output/'+ Title +'/'+ Title +'_log.txt"'
    String += ' -t -s "Starting coding."'
    fp1.write( String +"\n")

    for Line in ProfileLines:
        LineElements = Line.split(' ',1)
    
        Profile = LineElements[0]
        ProfileParams = LineElements[1]

        for Bitrate in Bitrates:
            if (Passes == 0):
                Pass = 0
            else:
                Pass = 1
            while (Pass != -1):
                String  = 'x264'
                
                if (Pass == 0): #Single Pass
                    Pass = -1
                elif (Pass == 1): #First pass of multipass
                    String += ' --pass 1'
                    Pass = 2
                elif (Pass < Passes): #Next pass of multipass
                    String += ' --pass 3'
                    Pass += 1
                elif (Pass == Passes): #Last pass of multipass
                    String += ' --pass 2'
                    Pass = -1

                if (Threads == 0):
                    String += ' --threads auto'
                elif (Threads > 1):
                    String += ' --threads ' + str(Threads)
                    
                
                String += ' --bitrate ' + str(Bitrate)
                String += ' --stats "./output/'+ Title +'/'+ Title +'_'+ Profile +'_'+str(Bitrate)+'kbps.stats"'
                String += ' ' + ProfileParams
                if (Pass == -1):
                    String += ' --output "./output/'+ Title +'/'+ Title +'_'+ Profile +'_'+str(Bitrate)+'kbps.mp4"'
                else:
                    String += ' --output NUL'
                String += ' "'+ InputAVS +'"'

                fp1.write( String +"\n")

                String  = 'logging.py'
                String += ' -o "./output/'+ Title +'/'+ Title +'_log.txt"'
                String += ' -t -s "Compleat coding: '+ Title + '_'+ Profile +'_'+str(Bitrate)+'kbps.mp4"'

                fp1.write( String +"\n")

                #if (Pass == -1):
                #    String  = 'MP4Box'
                #    String += ' -add "./output/'+ Title +'/'+ Title +'_'+ Profile +'_'+str(Bitrate)+'kbps.mp4"'
                #    String += ' -add "./wav/'+ Title +'_audio.2ch.mp4"'
                #    String += ' "./output/'+ Title +'/'+ Title +'_'+ Profile +'_'+str(Bitrate)+'kbps_2chAAC.mp4"'
                #    fp1.write( String +"\n")

                #    String  = 'logging.py'
                #    String += ' -o "./output/'+ Title +'/'+ Title +'_log.txt"'
                #    String += ' -t -s "Compleat muxing: '+ Title + '_'+ Profile +'_'+str(Bitrate)+'kbps_2chAAC.mp4"'
                #    fp1.write( String +"\n")

                

    fp1.close()

def GetJ2kFrameCount(folder):
    if (os.path.isfile(folder + "info.txt")):
        fp1 = open( folder + "info.txt", 'r')
        Data = fp1.read()
        fp1.close()
        for Element in Data.split():
            KeyVal = Element.split('=')
            if (len(KeyVal) == 2):
                if (KeyVal[0]== "FrameCount"):
                    return int(KeyVal[1])
    else:
        return 0
            

            
            
        
    
    
main()
