import glob, random


def Main():

    FileList = glob.glob('playlist_*.txt')
    for InputFile in FileList:
        OutputFile = RemoveExtension(InputFile) + ".asx"
        CompilePlaylist(InputFile, OutputFile)
    
def CompilePlaylist (inputfile, outputfile):
	
    fp1 = open(inputfile, 'r')
    fp2 = open(outputfile,'w')
    LineNumber = 0
    NumberingDict = {}
    Spacer = "  "
    Indent = ""
    PlayTime = 0

    for Line in fp1:
        MyString = ""
        LineNumber += 1
        Line = Line.strip(" \t\n") 

        Words = Line.split('\t')
        Component = Words[0]
        
        if(len(Line) == 0):    #Checks for emty lines and skips them
            continue
        if Component == "#":   #Comment, skip
            continue
        if Component == "//":  #Comment, skip
            continue

        if Component == "D3":
            Component = "D"+ random.choice('12')
        if Component == "E3":
            Component = "E"+ random.choice('12')

        if Component == "Header":
            MyString  = Indent+ '<ASX VERSION="3.0">\n'
            MyString += Indent+ Spacer+ '<TITLE>'+ Words[1]+ '</TITLE>\n'
            Indent   += Spacer

        elif Component == "D1":
            MyString  = Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen A</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="00:03" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_A.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Sekvens A</TITLE>\n'
            MyString += Indent+ Spacer+ '<REF HREF="'+ Words[1]+ '720p25_H264\\'+ Words[1]+ '720p25_CE-QuickTime_'+ Words[2]+ 'kbps.mp4" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen B</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="00:03" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_B.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Sekvens B</TITLE>\n'
            MyString += Indent+ Spacer+ '<REF HREF="'+ Words[1]+ '720p50_JP2\\'+ Words[1]+ '720p50_'+ Words[3]+ '.avi" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen A</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="00:03" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_A.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Sekvens A</TITLE>\n'
            MyString += Indent+ Spacer+ '<REF HREF="'+ Words[1]+ '720p25_H264\\'+ Words[1]+ '720p25_CE-QuickTime_'+ Words[2]+ 'kbps.mp4" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen B</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="00:03" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_B.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Sekvens B</TITLE>\n'
            MyString += Indent+ Spacer+ '<REF HREF="'+ Words[1]+ '720p50_JP2\\'+ Words[1]+ '720p50_'+ Words[3]+ '.avi" />\n'
            MyString += Indent+ '</ENTRY>\n'

            NumberString = AutoNumber('N1', NumberingDict)

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen Notere '+ NumberString+ '</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="10:00" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_Notere '+ NumberString+ '.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            PlayTime += 2*(3+10+3+10)+15

        elif Component == "D2":
            MyString  = Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen A</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="00:03" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_A.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Sekvens B</TITLE>\n'
            MyString += Indent+ Spacer+ '<REF HREF="'+ Words[1]+ '720p50_JP2\\'+ Words[1]+ '720p50_'+ Words[3]+ '.avi" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen B</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="00:03" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_B.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Sekvens A</TITLE>\n'
            MyString += Indent+ Spacer+ '<REF HREF="'+ Words[1]+ '720p25_H264\\'+ Words[1]+ '720p25_CE-QuickTime_'+ Words[2]+ 'kbps.mp4" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen A</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="00:03" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_A.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Sekvens B</TITLE>\n'
            MyString += Indent+ Spacer+ '<REF HREF="'+ Words[1]+ '720p50_JP2\\'+ Words[1]+ '720p50_'+ Words[3]+ '.avi" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen B</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="00:03" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_B.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Sekvens A</TITLE>\n'
            MyString += Indent+ Spacer+ '<REF HREF="'+ Words[1]+ '720p25_H264\\'+ Words[1]+ '720p25_CE-QuickTime_'+ Words[2]+ 'kbps.mp4" />\n'
            MyString += Indent+ '</ENTRY>\n'

            NumberString = AutoNumber('N1', NumberingDict)

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen Notere '+ NumberString+ '</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="10:00" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_Notere '+ NumberString+ '.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            PlayTime += 2*(3+10+3+10)+15

        elif Component == "E1":
            MyString  = Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen A</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="00:03" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_A.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Sekvens A</TITLE>\n'
            MyString += Indent+ Spacer+ '<REF HREF="'+ Words[1]+ '720p25_H264\\'+ Words[1]+ '720p25_CE-QuickTime_'+ Words[2]+ 'kbps.avi" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen B</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="00:03" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_B.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Sekvens B</TITLE>\n'
            MyString += Indent+ Spacer+ '<REF HREF="'+ Words[1]+ '720p50_JP2\\'+ Words[1]+ '720p50_'+ Words[3]+ '.avi" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen A</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="00:03" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_A.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Sekvens A</TITLE>\n'
            MyString += Indent+ Spacer+ '<REF HREF="'+ Words[1]+ '720p25_H264\\'+ Words[1]+ '720p25_CE-QuickTime_'+ Words[2]+ 'kbps.avi" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen B</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="00:03" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_B.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Sekvens B</TITLE>\n'
            MyString += Indent+ Spacer+ '<REF HREF="'+ Words[1]+ '720p50_JP2\\'+ Words[1]+ '720p50_'+ Words[3]+ '.avi" />\n'
            MyString += Indent+ '</ENTRY>\n'

            NumberString = AutoNumber('N1', NumberingDict)

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen Notere '+ NumberString+ '</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="10:00" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_Notere '+ NumberString+ '.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            PlayTime += 2*(3+10+3+10)+15

        elif Component == "E2":
            MyString  = Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen A</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="00:03" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_A.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Sekvens B</TITLE>\n'
            MyString += Indent+ Spacer+ '<REF HREF="'+ Words[1]+ '720p50_JP2\\'+ Words[1]+ '720p50_'+ Words[3]+ '.avi" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen B</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="00:03" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_B.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Sekvens A</TITLE>\n'
            MyString += Indent+ Spacer+ '<REF HREF="'+ Words[1]+ '720p25_H264\\'+ Words[1]+ '720p25_CE-QuickTime_'+ Words[2]+ 'kbps.avi" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen A</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="00:03" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_A.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Sekvens B</TITLE>\n'
            MyString += Indent+ Spacer+ '<REF HREF="'+ Words[1]+ '720p50_JP2\\'+ Words[1]+ '720p50_'+ Words[3]+ '.avi" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen B</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="00:03" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_B.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Sekvens A</TITLE>\n'
            MyString += Indent+ Spacer+ '<REF HREF="'+ Words[1]+ '720p25_H264\\'+ Words[1]+ '720p25_CE-QuickTime_'+ Words[2]+ 'kbps.avi" />\n'
            MyString += Indent+ '</ENTRY>\n'

            NumberString = AutoNumber('N1', NumberingDict)

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen Notere '+ NumberString+ '</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="10:00" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_Notere '+ NumberString+ '.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            PlayTime += 2*(3+10+3+10)+15

        elif Component == "D4":
            NumberString = AutoNumber('A1', NumberingDict)

            MyString  = Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="00:03" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Sekvens '+ NumberString+ '</TITLE>\n'
            MyString += Indent+ Spacer+ '<REF HREF="'+ Words[1]+ '_H264\\'+ Words[1]+ '_CE-QuickTime_'+ Words[2]+ 'kbps.mp4" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="00:03" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Sekvens '+ NumberString+ '</TITLE>\n'
            MyString += Indent+ Spacer+ '<REF HREF="'+ Words[1]+ '_H264\\'+ Words[1]+ '_CE-QuickTime_'+ Words[2]+ 'kbps.mp4" />\n'
            MyString += Indent+ '</ENTRY>\n'

            MyString += Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>Blank screen Notere '+ NumberString+ '</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="10:00" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\svt_grey_Notere '+ NumberString+ '.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            PlayTime += 2*(3+10)+15

        elif Component == "Im":

            MyString  = Indent+ '<ENTRY>\n'
            MyString += Indent+ Spacer+ '<TITLE>'+ Words[1]+ '</TITLE>\n'
            MyString += Indent+ Spacer+ '<DURATION VALUE="'+ Words[3]+ '" />\n'
            MyString += Indent+ Spacer+ '<REF HREF="svt_grey\\'+ Words[2]+ '.bmp" />\n'
            MyString += Indent+ '</ENTRY>\n'

            PlayTime += 10

        if Component == "Footer":
            MyString  = Indent+ '<-- Estimated total playtime '+ str(PlayTime)+ 'seconds -->\n'
            Indent    = ""
            MyString += Indent+ '</ASX>\n'
        
        fp2.write(MyString)

    fp1.close()
    fp2.close()

    return


def AutoNumber(component, dictonery):
    Value = 0
    if (dictonery.has_key(component)):
        Value = dictonery[component]
    Value += 1
    dictonery[component] = Value

    if component[0] == 'N':
        return str(Value)
    if component[0] == 'A':
        return chr(Value+ 64)
    return str(Value)

def RemoveExtension(string):
    i = string.rfind('.')
    return string[:i]
def RemovePath(string):
    i = string.rfind('\\')
    j = string.rfind('/')
    if j < i:
        return string[(i+1):]
    else:
        return string[(j+1):]

Main()

